/* Text clustering method, SKWIC algorithm implementation
 * Model class with the implementation of the algorithm
 * Authors: Roman Milos, Vladimir Bartik, May 2011
 */
package dip;

import dip.kontroler.Gui;
import dip.kontroler.Parametry;

import javax.swing.JOptionPane;

/**
 * Main class of the application.
 * @author Roman
 */
public class Main {

    private static Gui gui;
    private static Parametry param;

    /**
     * Processes the command line parameters and executes the application. 
     * @param args command line arguments
     */
    public static void main(String[] args) {
        param = new Parametry();
        try {

            param.nacti(args);
        } catch (Exception e) {
            vyridVyjimku(e);
        }
        try {
            if (param.isGui()) {
                gui = Gui.getInstance();
            }

        } catch (Exception e) {
            vyridVyjimku(e);
        }
    }

    /**
     * Handling of exceptions. 
     * @param e an exception
     */
    public static void vyridVyjimku(Exception e) {
        String zprava = e.getMessage();

        if (zprava != null && zprava.contains("java")) {
            int index = zprava.indexOf(":");
            if (index > 0) {
                zprava = zprava.substring(index + 1);

            }
        }
        JOptionPane.showMessageDialog(null, zprava, "Error", JOptionPane.ERROR_MESSAGE);
        if (param.isGui()) {
        } else {
            //    System.err.println(zprava);
            //    e.printStackTrace();
        }
        //  e.printStackTrace();

    }
}
