/* 
 * Method for clustering text data, SKWIC algorithm implementation
 * View class generating the Algorithm initialization window
 * Vytvoril: Roman Milos, Vladimir Bartik, May 2011
 */

package dip.pohled;

import dip.Main;
import dip.kontroler.Gui;
import dip.model.Data.VahovaciMetody;
import dip.model.Predzpracovani;
import java.awt.FileDialog;
import java.io.File;

import javax.swing.JFileChooser;

/**
 * Algorithm initialization window
 * @author Roman
 */
public class InitOkno extends javax.swing.JFrame {

    private Gui gui;
    private Predzpracovani pred;
    private FileDialog fd;

    //private Task task;
    /** Creates new form InitOkno */
    public InitOkno(Gui gui) {

        this.gui = gui;
        pred = Predzpracovani.getInstance();
        initComponents();

        gui.centruj(this);
        MojeMenu.menuTab(this);


    }

    /**
     * Actualization of components displayed on the window. 
     */
    public void nastav() {

        jCheckBoxMazatCisla.setSelected(pred.getData().isMazatCisla());
        jCheckBoxSlovaJednohoDokumentu.setSelected(pred.getData().isMazatTermyJednohoDokumentu());
        jCheckBoxStemming.setSelected(pred.getData().isAplikovatStemming());
        jCheckBoxStopSlova.setSelected(pred.getData().isAplikovatStopList());
        jComboBoxVahovani.setSelectedItem(pred.getData().getVahovani());
        String jmeno = "";
        try {
            jmeno = pred.getData().getDataFile().getPath();
        } catch (Exception e) {
        }

        jTextFieldData.setText(jmeno);
        jmeno = "";
        try {
            jmeno = pred.getData().getStopListFile().getPath();
        } catch (Exception e) {
        }
        jTextFieldStopSlova.setText(jmeno);


    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jButton1 = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        jButtonData = new javax.swing.JButton();
        jLabel2 = new javax.swing.JLabel();
        jTextFieldData = new javax.swing.JTextField();
        jComboBoxVahovani = new javax.swing.JComboBox();
        jTextFieldStopSlova = new javax.swing.JTextField();
        jButtonStopSlova = new javax.swing.JButton();
        jCheckBoxStopSlova = new javax.swing.JCheckBox();
        jCheckBoxStemming = new javax.swing.JCheckBox();
        jCheckBoxMazatCisla = new javax.swing.JCheckBox();
        jLabel3 = new javax.swing.JLabel();
        jCheckBoxSlovaJednohoDokumentu = new javax.swing.JCheckBox();
        jLabel4 = new javax.swing.JLabel();
        jTextField1 = new javax.swing.JTextField();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("SKWIC pre-processing");

        jButton1.setText("Run pre-processing");
        jButton1.setToolTipText("Pejt na vbr algoritmu");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        jLabel1.setText("Folder with data:");

        jButtonData.setText("...");
        jButtonData.setToolTipText("Prochzen disku k nalezen sloky s dokumenty");
        jButtonData.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonDataActionPerformed(evt);
            }
        });

        jLabel2.setText("File with stop words:");

        jTextFieldData.setMaximumSize(new java.awt.Dimension(72, 2147483647));
        jTextFieldData.setPreferredSize(new java.awt.Dimension(270, 20));
        jTextFieldData.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldDataActionPerformed(evt);
            }
        });
        jTextFieldData.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusLost(java.awt.event.FocusEvent evt) {
                jTextFieldDataFocusLost(evt);
            }
        });
        jTextFieldData.addInputMethodListener(new java.awt.event.InputMethodListener() {
            public void caretPositionChanged(java.awt.event.InputMethodEvent evt) {
            }
            public void inputMethodTextChanged(java.awt.event.InputMethodEvent evt) {
                jTextFieldDataInputMethodTextChanged(evt);
            }
        });

        jComboBoxVahovani.setModel(new javax.swing.DefaultComboBoxModel(VahovaciMetody.values()));
        jComboBoxVahovani.setToolTipText("Volba vhovac metody");
        jComboBoxVahovani.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jComboBoxVahovaniActionPerformed(evt);
            }
        });

        jTextFieldStopSlova.setEnabled(pred.getData().isAplikovatStopList());
        jTextFieldStopSlova.setMaximumSize(new java.awt.Dimension(72, 2147483647));
        jTextFieldStopSlova.setPreferredSize(new java.awt.Dimension(270, 20));
        jTextFieldStopSlova.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusLost(java.awt.event.FocusEvent evt) {
                jTextFieldStopSlovaFocusLost(evt);
            }
        });

        jButtonStopSlova.setText("...");
        jButtonStopSlova.setToolTipText("Prochzen disku k nalezen souboru se stop slovy");
        jButtonStopSlova.setEnabled(pred.getData().isAplikovatStopList());
        jButtonStopSlova.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonStopSlovaActionPerformed(evt);
            }
        });

        jCheckBoxStopSlova.setSelected(pred.getData().isAplikovatStopList());
        jCheckBoxStopSlova.setText("Remove stop words");
        jCheckBoxStopSlova.setToolTipText("Povolen i zakzn pouit souboru se stop slovy");
        jCheckBoxStopSlova.addItemListener(new java.awt.event.ItemListener() {
            public void itemStateChanged(java.awt.event.ItemEvent evt) {
                jCheckBoxStopSlovaItemStateChanged(evt);
            }
        });
        jCheckBoxStopSlova.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBoxStopSlovaActionPerformed(evt);
            }
        });

        jCheckBoxStemming.setSelected(pred.getData().isAplikovatStemming());
        jCheckBoxStemming.setText("Use stemmer");
        jCheckBoxStemming.setToolTipText("Povolen  zakzn Porterova stemmingu");
        jCheckBoxStemming.addItemListener(new java.awt.event.ItemListener() {
            public void itemStateChanged(java.awt.event.ItemEvent evt) {
                jCheckBoxStemmingItemStateChanged(evt);
            }
        });
        jCheckBoxStemming.addPropertyChangeListener(new java.beans.PropertyChangeListener() {
            public void propertyChange(java.beans.PropertyChangeEvent evt) {
                jCheckBoxStemmingPropertyChange(evt);
            }
        });

        jCheckBoxMazatCisla.setSelected(pred.getData().isMazatCisla());
        jCheckBoxMazatCisla.setText("Delete digits");
        jCheckBoxMazatCisla.setToolTipText("Smae z term vechna sla");
        jCheckBoxMazatCisla.addItemListener(new java.awt.event.ItemListener() {
            public void itemStateChanged(java.awt.event.ItemEvent evt) {
                jCheckBoxMazatCislaItemStateChanged(evt);
            }
        });

        jLabel3.setText("Select weighting method");

        jCheckBoxSlovaJednohoDokumentu.setSelected(pred.getData().isMazatTermyJednohoDokumentu());
        jCheckBoxSlovaJednohoDokumentu.setText("Delete terms contained only in one document");
        jCheckBoxSlovaJednohoDokumentu.setToolTipText("Smae vechny termy s dokument, kter se vyskytuj pouze v jednom dokumentu");
        jCheckBoxSlovaJednohoDokumentu.addItemListener(new java.awt.event.ItemListener() {
            public void itemStateChanged(java.awt.event.ItemEvent evt) {
                jCheckBoxSlovaJednohoDokumentuItemStateChanged(evt);
            }
        });

        jLabel4.setText("Max. number of terms");

        jTextField1.setText(pred.getData().getMaximalneTermu()+"");
        jTextField1.setToolTipText("Poet Term kter budou vybrny");
        jTextField1.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusLost(java.awt.event.FocusEvent evt) {
                jTextField1FocusLost(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addGroup(layout.createSequentialGroup()
                                    .addGap(16, 16, 16)
                                    .addComponent(jLabel2))
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(jLabel4)
                                    .addComponent(jLabel3)))
                            .addComponent(jLabel1))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jComboBoxVahovani, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jCheckBoxSlovaJednohoDokumentu)
                            .addComponent(jCheckBoxStopSlova)
                            .addGroup(layout.createSequentialGroup()
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                    .addComponent(jTextFieldData, javax.swing.GroupLayout.PREFERRED_SIZE, 262, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jCheckBoxStemming)
                                    .addComponent(jCheckBoxMazatCisla)
                                    .addComponent(jTextFieldStopSlova, javax.swing.GroupLayout.PREFERRED_SIZE, 262, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                    .addComponent(jButtonData, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .addComponent(jButtonStopSlova, javax.swing.GroupLayout.PREFERRED_SIZE, 92, javax.swing.GroupLayout.PREFERRED_SIZE)))
                            .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, 102, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(171, 171, 171)
                        .addComponent(jButton1)))
                .addContainerGap(51, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldData, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButtonData)
                    .addComponent(jLabel1))
                .addGap(3, 3, 3)
                .addComponent(jCheckBoxStopSlova)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(jTextFieldStopSlova, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButtonStopSlova))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jCheckBoxStemming)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jCheckBoxMazatCisla)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jCheckBoxSlovaJednohoDokumentu)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jComboBoxVahovani, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel3))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel4)
                    .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addComponent(jButton1)
                .addContainerGap(38, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * After a button is pressed, state of the component is tested and eventually
     * the model modified. After that, controller layer starts pre-processing. 
     * @param evt button press event
     */
    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        File soubor;

        try {
            soubor = new File(jTextFieldData.getText());

            if (!soubor.equals(pred.getData().getDataFile())) {
                pred.getData().setDataFile(soubor);
                pred.setZmena(true);
            }


            soubor = new File(jTextFieldStopSlova.getText());
            if (jCheckBoxStopSlova.isSelected()) {
                if (!soubor.equals(pred.getData().getStopListFile()) || soubor == null) {
                    pred.getData().setStopListFile(soubor);
                    pred.setZmena(true);
                }
            }

        } catch (Exception e) {
            Main.vyridVyjimku(e);
            return;
        }
        try {
            int cislo = new Integer(jTextField1.getText());

            if (cislo > 10) {
                if (cislo != pred.getData().getMaximalneTermu()) {
                    pred.getData().setMaximaleTermu(cislo);
                    pred.setZmena(true);
                }

            } else {
                throw new Exception();
            }
        } catch (Exception e) {
            Main.vyridVyjimku(new Exception("Maximum number of acceptable terms must be more than 10."));
            return;
        }
        gui.zacatekPredzpracovani();




    }//GEN-LAST:event_jButton1ActionPerformed

    /**
     * Creates a window for selecting a file with data and stores it into the model layer. 
     * @param evt event
     */
    private void jButtonDataActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonDataActionPerformed
        File soubor;
        try {
            JFileChooser fc = new JFileChooser();
            fc.setFileSelectionMode(JFileChooser.FILES_AND_DIRECTORIES);
            fc.setDialogTitle("Select folder and read data file");
            fc.setDialogType(JFileChooser.OPEN_DIALOG);
            fc.setApproveButtonText("Select");
            soubor =
                    pred.getData().getDataFile();
            if (soubor == null) {
                soubor = new java.io.File(".");
            }
            fc.setCurrentDirectory(soubor);

            fc.showOpenDialog(this);
            soubor =
                    fc.getSelectedFile();

            if (soubor == null) {

                return;
            }
        } catch (Exception e) {
            Main.vyridVyjimku(new Exception("Unable to select file"));
            //JOptionPane.showMessageDialog(null, "Nepovedlo se vybrat soubor", "Chyba", JOptionPane.ERROR_MESSAGE);
            return;

        }

        try {
            if (soubor != null) {

                pred.getData().setDataFile(soubor);
                jTextFieldData.setText(soubor.toString());
            }

        } catch (Exception e) {
            Main.vyridVyjimku(e);

        }

        pred.setZmena(true);
    }//GEN-LAST:event_jButtonDataActionPerformed

    /**
     * Method handling the event of changing the stop words checkbox. 
     * @param evt event
     */
    private void jCheckBoxStopSlovaItemStateChanged(java.awt.event.ItemEvent evt) {//GEN-FIRST:event_jCheckBoxStopSlovaItemStateChanged

        pred.getData().setAplikovatStopList(jCheckBoxStopSlova.isSelected());
        if (jCheckBoxStopSlova.isSelected()) {
            jButtonStopSlova.setEnabled(true);
            jTextFieldStopSlova.setEnabled(true);


        } else {
            jButtonStopSlova.setEnabled(false);
            jTextFieldStopSlova.setEnabled(false);
        }

        pred.setZmena(true);
    }//GEN-LAST:event_jCheckBoxStopSlovaItemStateChanged
    /**
     * Setting of stemming according to the checkbox state. 
     * @param evt checkbox event
     */
    private void jCheckBoxStemmingItemStateChanged(java.awt.event.ItemEvent evt) {//GEN-FIRST:event_jCheckBoxStemmingItemStateChanged
        pred.getData().setAplikovatStemming(jCheckBoxStemming.isSelected());
        pred.setZmena(true);
    }//GEN-LAST:event_jCheckBoxStemmingItemStateChanged

    /**
     * Setting of term deleting to the checkbox state.
     * @param evt checkbox event
     */
    private void jCheckBoxMazatCislaItemStateChanged(java.awt.event.ItemEvent evt) {//GEN-FIRST:event_jCheckBoxMazatCislaItemStateChanged
        pred.getData().setMazatCisla(jCheckBoxMazatCisla.isSelected());
        pred.setZmena(true);
    }//GEN-LAST:event_jCheckBoxMazatCislaItemStateChanged

    private void jTextFieldDataInputMethodTextChanged(java.awt.event.InputMethodEvent evt) {//GEN-FIRST:event_jTextFieldDataInputMethodTextChanged
    }//GEN-LAST:event_jTextFieldDataInputMethodTextChanged

    /**
     * Creating of a window to choose the file with a stoplist. 
     * @param evt event
     */
    private void jButtonStopSlovaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonStopSlovaActionPerformed
        File soubor;
        try {

            JFileChooser fc = new JFileChooser();
            fc.setDialogTitle("Select file with stop words");
            fc.setDialogType(JFileChooser.OPEN_DIALOG);
            fc.setApproveButtonText("Select");

            soubor =
                    pred.getData().getStopListFile();

            if (soubor == null) {

                soubor = new java.io.File(".");
            }
            fc.setCurrentDirectory(soubor);
            fc.showOpenDialog(this);
            soubor =
                    fc.getSelectedFile();
            if (soubor == null) {

                return;
            }
        } catch (Exception e) {
            Main.vyridVyjimku(new Exception("Unable to read file"));

            return;

        }


        try {
            if (soubor != null) {
                pred.getData().setStopListFile(soubor);
                jTextFieldStopSlova.setText(soubor.toString());
            }

        } catch (Exception e) {
            Main.vyridVyjimku(e);
        }

        pred.setZmena(true);
    }//GEN-LAST:event_jButtonStopSlovaActionPerformed

    /**
     * Setting of a weighting method according to a combo box. 
     * @param evt event
     */
    private void jComboBoxVahovaniActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBoxVahovaniActionPerformed
        pred.getData().setVahovani((VahovaciMetody) jComboBoxVahovani.getSelectedItem());
        pred.setZmena(true);
    }//GEN-LAST:event_jComboBoxVahovaniActionPerformed

    /**
     * Setting of deleting the terms occuring in only one document according to the 
     * checkbox state. 
     * @param evt event
     */
    private void jCheckBoxSlovaJednohoDokumentuItemStateChanged(java.awt.event.ItemEvent evt) {//GEN-FIRST:event_jCheckBoxSlovaJednohoDokumentuItemStateChanged
        pred.getData().setMazatTermyJednohoDokumentu(jCheckBoxSlovaJednohoDokumentu.isSelected());
        pred.setZmena(true);
    }//GEN-LAST:event_jCheckBoxSlovaJednohoDokumentuItemStateChanged

    private void jCheckBoxStemmingPropertyChange(java.beans.PropertyChangeEvent evt) {//GEN-FIRST:event_jCheckBoxStemmingPropertyChange
    }//GEN-LAST:event_jCheckBoxStemmingPropertyChange

    /**
     * Setting of maximum number of terms, according to the content of a corresponding field.
     * The number is validated.
     * @param evt
     */
    private void jTextFieldDataFocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_jTextFieldDataFocusLost
        File soubor;

        try {
            if (jTextFieldData.getText().length() == 0) {
                return;
            }
            soubor = new File(jTextFieldData.getText());

            if (!soubor.equals(pred.getData().getDataFile())) {
                pred.getData().setDataFile(soubor);
                pred.setZmena(true);
            }


        } catch (Exception e) {
            Main.vyridVyjimku(e);
            return;
        }
    }//GEN-LAST:event_jTextFieldDataFocusLost

    /**
     * After a change of stoplist file, a model layer is actualized and the file is checked. 
     * @param evt event
     */
    private void jTextFieldStopSlovaFocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_jTextFieldStopSlovaFocusLost
        File soubor;
        try {

            soubor = new File(jTextFieldStopSlova.getText());
            if (jCheckBoxStopSlova.isSelected()) {
                if (!soubor.equals(pred.getData().getStopListFile()) || soubor == null) {
                    pred.getData().setStopListFile(soubor);
                    pred.setZmena(true);
                }
            }

        } catch (Exception e) {
            Main.vyridVyjimku(e);
            return;
        }
    }//GEN-LAST:event_jTextFieldStopSlovaFocusLost

    private void jTextFieldDataActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldDataActionPerformed
    }//GEN-LAST:event_jTextFieldDataActionPerformed

    /**
     * After a change of stored terms count, set and validate it.
     * @param evt event
     */
    private void jTextField1FocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_jTextField1FocusLost
        try {
            int cislo = new Integer(jTextField1.getText());

            if (cislo > 10) {
                if (cislo != pred.getData().getMaximalneTermu()) {
                    pred.getData().setMaximaleTermu(cislo);
                    pred.setZmena(true);
                }
                return;
            }
            throw new Exception();
        } catch (Exception e) {
            Main.vyridVyjimku(new Exception("Maximum number of acceptable terms must be more than 10."));
        }

    }//GEN-LAST:event_jTextField1FocusLost

private void jCheckBoxStopSlovaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBoxStopSlovaActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_jCheckBoxStopSlovaActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButtonData;
    private javax.swing.JButton jButtonStopSlova;
    private javax.swing.JCheckBox jCheckBoxMazatCisla;
    private javax.swing.JCheckBox jCheckBoxSlovaJednohoDokumentu;
    private javax.swing.JCheckBox jCheckBoxStemming;
    private javax.swing.JCheckBox jCheckBoxStopSlova;
    private javax.swing.JComboBox jComboBoxVahovani;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextFieldData;
    private javax.swing.JTextField jTextFieldStopSlova;
    // End of variables declaration//GEN-END:variables
}
